Package com.pixelmed.event

# Class Event

java.lang.Object
com.pixelmed.event.Event

Direct Known Subclasses:
  `ApplyShutterChangeEvent`, `BrowserPaneChangeEvent`, `FrameSelectionChangeEvent`, `FrameSortOrderChangeEvent`, `GraphicDisplayChangeEvent`, `RegionSelectionChangeEvent`, `SourceImageSelectionChangeEvent`, `SourceSpectrumSelectionChangeEvent`, `StatusChangeEvent`, `TaskChangeEvent`, `VOIFunctionChangeEvent`, `WindowCenterAndWidthChangeEvent`, `WindowingAccelerationValueChangeEvent`, `WindowLinearCalculationChangeEvent`

public class Event extends Object

## Constructor Summary

Constructors
Constructor
Description
`Event()`
`Event(EventContext eventContext)`
`Event(Object source)`
`Event(Object source, EventContext eventContext)`

## Method Summary

Modifier and Type
Method
Description
`final EventContext`
`getEventContext()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Event

public Event()

### Event

public Event(Object source)

Parameters:
  `source` -

### Event

public Event(Object source, EventContext eventContext)

Parameters:
  `source` -
  `eventContext` -

### Event

public Event(EventContext eventContext)

Parameters:
  `eventContext` -

## Method Details

### getEventContext

public final EventContext getEventContext()

Returns:
  the context of the event